Kalyna512 Class Reference

Kalyna 512-bit block cipher. More...

Inheritance diagram for Kalyna512:

## Classes

class | Base

## Public Types

typedef BlockCipherFinal< ENCRYPTION, Base > | Encryption
typedef BlockCipherFinal< DECRYPTION, Base > | Decryption
Public Types inherited from BlockCipherDocumentation
typedef BlockCipher | Encryption
| implements the BlockCipher interface
typedef BlockCipher | Decryption
| implements the BlockCipher interface

## Additional Inherited Members

Static Public Member Functions inherited from Kalyna512_Info
static const char * | StaticAlgorithmName ()
Static Public Member Functions inherited from FixedKeyLength< 64 >
static size_t | StaticGetValidKeyLength (size_t keylength)
| The default key length for the algorithm provided by a static function. More...
Static Public Attributes inherited from FixedBlockSize< 64 >
static const int | BLOCKSIZE
| The block size of the algorithm provided as a constant.
Static Public Attributes inherited from FixedKeyLength< 64 >
static const int | KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant. More...
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant. More...
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant. More...
static const int | IV_LENGTH
| The default IV length used by the algorithm provided as a constant. More...

## Detailed Description

Kalyna 512-bit block cipher.

Kalyna512 provides 512-bit block size. The valid key size is 512-bit.

Since
  Crypto++ 6.0

Definition at line 166 of file kalyna.h.

The documentation for this class was generated from the following file:

- kalyna.h